function header_js(str,strlength){
	mui.init({
		swipeBack: false,
		statusBarBackground: '#f7f7f7',
		gestureConfig:{
			doubletap:true
		},
		subpages: [{
			id: str+'.html',
			url: str+'.html',
			styles: {
				top: strlength+'px',
				bottom: 0,
				bounce: 'vertical'
			}
		}]

	});
}


/**
 *
 * @returns {Array}
 */
function shubentu(){
//书本图片数组开始
	var shubentu=new Array();
	//人教版
	shubentu['32_17_1'] = '01.jpg'; //一年级上
	shubentu['32_17_2'] = '02.jpg'; //一年级下
	shubentu['32_18_1'] = '03.jpg'; //二年级上
	shubentu['32_18_2'] = '04.jpg'; //二年级下
	shubentu['32_19_1'] = '05.jpg'; //三年级上
	shubentu['32_19_2'] = '06.jpg'; //三年级下
	//苏教版
	shubentu['33_17_1'] = 's1.jpg'; //一年级上
	shubentu['33_17_2'] = 's2.jpg'; //一年级下
	shubentu['33_18_1'] = 's3.jpg'; //二年级上
	shubentu['33_18_2'] = 's4.jpg'; //二年级下
	shubentu['33_19_1'] = 's5.jpg'; //三年级上
	shubentu['33_19_2'] = 's6.jpg'; //三年级下
	//北师版
	shubentu['34_17_1'] = 'b1.jpg'; //一年级上
	shubentu['34_17_2'] = 'b2.jpg'; //一年级下
	shubentu['34_18_1'] = 'b3.jpg'; //二年级上
	shubentu['34_18_2'] = 'b4.jpg'; //二年级下
	shubentu['34_19_1'] = 'b5.jpg'; //三年级上
	shubentu['34_19_2'] = 'b6.jpg'; //三年级下

	//语文版
	shubentu['37_17_1'] = 'y1.png'; //一年级上
	shubentu['37_17_2'] = 'y2.png'; //一年级下
	shubentu['37_18_1'] = 'y3.png'; //二年级上
	shubentu['37_18_2'] = 'y4.png'; //二年级下
	shubentu['37_19_1'] = 'y5.png'; //三年级上
	shubentu['37_19_2'] = 'y6.png'; //三年级下
	return shubentu;
}

/**
 * 包含多个对象的数组
 * @returns {*[]}
 */
function array_nianji(){
	var nianji = [
		{nianji: '17', titles: '初中一年级', shuce: '1', titletip: '一', tips: '上'},
		{nianji: '17', titles: '初中一年级', shuce: '2', titletip: '二', tips: '下'},
		{nianji: '18', titles: '初中二年级', shuce: '1', titletip: '一', tips: '上'},
		{nianji: '18', titles: '初中二年级', shuce: '2', titletip: '二', tips: '下'},
		{nianji: '19', titles: '初中三年级', shuce: '1', titletip: '一', tips: '上'},
		{nianji: '19', titles: '初中三年级', shuce: '2', titletip: '二', tips: '下'}
	];
	return nianji;
}


function explode(delimiter, string, limit) {
	if (arguments.length < 2 || typeof delimiter === 'undefined' || typeof string === 'undefined') return null;
	if (delimiter === '' || delimiter === false || delimiter === null) return false;
	if (typeof delimiter === 'function' || typeof delimiter === 'object' || typeof string === 'function' || typeof string ===
		'object') {
		return {
			0: ''
		};
	}
	if (delimiter === true) delimiter = '1';

	// Here we go...
	delimiter += '';
	string += '';

	var s = string.split(delimiter);

	if (typeof limit === 'undefined') return s;

	// Support for limit
	if (limit === 0) limit = 1;

	// Positive limit
	if (limit > 0) {
		if (limit >= s.length) return s;
		return s.slice(0, limit - 1)
			.concat([s.slice(limit - 1)
				.join(delimiter)
			]);
	}

	// Negative limit
	if (-limit >= s.length) return [];

	s.splice(s.length + limit);
	return s;
}


/**
 * 打开页面
 * @param {Object} id
 */
function open_tap(id){
	mui('#'+id).on('tap', 'a', function (e) {
		var href = this.getAttribute('href');//打开哪个页面肯定要指定
		var title = this.getAttribute('title');//打开标题多少肯定要指定
		if (!title) {
			return false;
		}
		var catid = this.getAttribute('catid');//课文类型，不需要用到的可以为空
		var typeid = this.getAttribute('typeid');//可选，在footer中可能需要
		var jibie = this.getAttribute('jibie');//可选，不需要用到的可以为空
		var nianji = this.getAttribute('nianji');//可选，不需要用到的可以为空
		var shuce = this.getAttribute('shuce');//可选，不需要用到的可以为空
		var banben = this.getAttribute('banben');//可选，不需要用到的可以为空
		var kewen_id = this.getAttribute('kewen_id');//可选，不需要用到的可以为空
		var autoid = this.getAttribute('autoid');//内容页必选，其他可选
		var tablename = this.getAttribute('tablename');//内容页必选，其他可选
		var downfile = this.getAttribute('downfile');//下载链接仅在课件下载中用到
		var about_wangzhi = this.getAttribute('about_wangzhi');//仅仅在

		var datakkobject = {
			href: href,
			nianji: nianji,
			title: title,
			shuce: shuce,
			banben: banben,
			kewen_id:kewen_id,
			typeid:typeid,
			catid:catid,
			autoid:autoid,
			tablename:tablename,
			downfile:downfile,
			about_wangzhi:about_wangzhi,
			jibie:jibie
		}

		//跳页面
		mui.openWindow({
			id: href + '?' + typeid+nianji+shuce+banben+kewen_id+catid+autoid+tablename+about_wangzhi+jibie,
			url: href,
			styles: {
				popGesture: 'close'
			},
			waiting: {
				autoShow: false
			},
			extras: datakkobject
		});
	})
}

function GetRequest(url) {
	var theRequest = new Object();
	if (url.indexOf("?") != -1) {
		var str = url.substr(1);
		strs = str.split("&");
		for(var i = 0; i < strs.length; i ++) {
			//alert(strs[i].split("=")[0]);
			//alert(strs[i].split("=")[1]);
			theRequest[strs[i].split("=")[0]]=(strs[i].split("=")[1]);
		}
	}
	return theRequest;
}
function LayerMsg(message, time) {
	if (!time) {
		time = 500;
	}
	layer.open({
		content: message,
		time: time
	});
}
function openBrowser(file_url) {
	plus.runtime.openURL( file_url );
}

function Jumphtml(html) {

	var myDate = new Date();
	html = html + "?time=" + myDate.getTime();
	mui.openWindow({
		url: html,
		id: html,
		show:{
			autoShow:true,//页面loaded事件发生后自动显示，默认为true
			aniShow:"slide-in-right",//页面显示动画，默认为”slide-in-right“；
			duration:500//页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
		}
	});

}
